Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeSetNormal

Set the extrusion normal

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeSetNormal(DMPlexTransform tr, const PetscReal normal[])

Not Collective

## Input Parameters

- tr - The `DMPlexTransform`

- normal - The extrusion direction

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeGetNormal()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages